list devices get.md
List Devices
Fleets API · Devices
GET https://app.mk.io/api/v1/projects/{project_name}/fleet/devices/{name}/software
List software available to preload on the specified device.
RBAC Capability Required: fleet.devicesoftware.get
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
name |
string | Yes | — |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
$orderby |
string | No | Specifies the key by which the result collection should be ordered. |
$filter |
string | No | Restricts the set of items returned. |
$top |
string | No | Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n. |
$skiptoken |
string | No | Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities. |
$label_key |
string | No | Filters the set to the specified label key. If multiple $label_keys are specified, matching items must have all labels. |
$label |
string | No | Filters the set to the specified label key/value pair. Supports equality, inequality, and inexact matching. If multiple values are provided for the same key, items matching either value will be returned. |
Example request
curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/fleet/devices/{name}/software" \
-H "Authorization: Bearer <token>"
Responses
200 — A list of software
@odata.nextLink· string · Optional — @odata.nextLink URL if the page length and number of items match.supplemental· object · Required — Supplemental infocount· integer · Required — Number of items returnedkind· string · Required — Type of items in the listoperation· string · Required — Operation type. Should always say 'list'pagination· object · Required — Pagination infoend· integer · Required — Position of the last item in the listrecords· integer · Required — Total number of items returned in the liststart· integer · Required — Position of the first item in the listtotal· integer · Required — Total number of items in the project
subscription· object · Optional — Project infoid· string · Required — Project IDname· string · Required — Project name
value· list of objects · Required — A list of software versions available for this device.- Array items (object):
kind· string · Optional — Softwaremetadata· object · Required — Software metadata.displayName· string · Required — A human-readable name for the resource.labels· map from strings to string · Optional — A dictionary of labels associated with the resource. Maximum number of labels: 32. Maximum length of a label or value: 256 characters. Label: alphanumeric, hyphens and underscores. Value: alphanumeric, hyphens, underscores and spaces.[any key]· string — map of additional properties
spec· object · Required — Software specification.deprecatedOn· string · Optional · _Defaults to _ — The date the software was deprecated.displayName· string · Optional · 0-255 characters · _Defaults to _ — An optional display name of the software.minimumVersion· string · Optional · _Defaults to _ — Minimum software version required on a standalone device before upgrading to this release.minimumVersionHA· string · Optional · _Defaults to _ — Minimum software version required on an HA node before upgrading to this release.released· string · Required — The date the software was released.version· string · Optional · 1-255 characters — A version string.
status· object · Required — Device-context status for this software release.downgradeCompatible· boolean · Required — Whether switching to this release is safe from an underlying component perspective. False if this release has a lower minimum version requirement than the currently installed release (or nearest known release for dev builds). True when no suitable reference release can be found (fail open).upgradeCompatible· boolean · Required — Whether the device's current software version meets the applicable minimum version requirement for upgrading to this release. Uses the HA minimum for HA nodes and the standalone minimum for standalone devices.
- Array items (object):
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
401 — Unauthorized
403 — Forbidden
404 — Not Found
429 — Too Many Requests
500 — Internal Server Error
Source spec: fleets-api · operationId: [get]_/api/v1/projects/{project_name}/fleet/devices/{name}/software